# GimpUi.IntRadioFrame.new_from_store

    function new_from_store(title: String, store: GimpUi.IntStore): Gtk.Widget {
        // Gjs wrapper for gimp_int_radio_frame_new_from_store()
    }

Creates a %GimpIntRadioFrame containing radio buttons for each item in the store. The created widget takes ownership of store.

If you need to construct an empty GimpUi.IntRadioFrame, it's best to use g_object_new (GIMP_TYPE_INT_RADIO_FRAME, NULL).

If you want to have a frame title with a mnemonic, set title to null instead and call [method@IntRadioFrame.set_title] instead.

Since 3.0

title

  the frame label.

store

  the %GimpIntStore to generate radio buttons from.

Returns

  a new GimpUi.IntRadioFrame.